Set your reaction on a comment
PUT /api/member/comments/{commentId}/reaction. Set your reaction on a comment. Headless LMS Discussion API reference.
For anyone who can read the comment, while reactions are on where it is (403 otherwise). Replaces any reaction you already had and returns the new counts.
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/member/comments/string/reaction" \ -H "Content-Type: application/json" \ -d '{ "emoji": "string" }'{ "reactions": { "property1": -9007199254740991, "property2": -9007199254740991 }, "viewerReaction": "string"}{ "error": "string", "message": "string", "requestId": "string", "issues": [ { "path": "string", "message": "string" } ]}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}{ "error": "string", "message": "string", "requestId": "string"}Withdraw your reaction from a comment DELETE
DELETE /api/member/comments/{commentId}/reaction. Withdraw your reaction from a comment. Headless LMS Discussion API reference.
Flag a comment for the moderators POST
POST /api/member/comments/{commentId}/reports. Flag a comment for the moderators. Headless LMS Discussion API reference.